Download it now!
Bug 64382 - Lithuanian spell checker dictionary does not work [regression]
Summary: Lithuanian spell checker dictionary does not work [regression]
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.0.1.1 rc
Hardware: All All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:4.1.0 target:4.0.4
Keywords:
Depends on: 66341
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 08:26 UTC by Aurimas Fišeras
Modified: 2013-06-28 19:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aurimas Fišeras 2013-05-09 08:26:53 UTC
Lithuanian spell checker dictionary does not work in a new LibreOffice installation.

The cause was determined to be a change introduced by upstream (ispell-lt): Property "Locales" was changed from lt-Lt to lt in dictionaries.xcu

The dictionary was updated with this commit:
https://gerrit.libreoffice.org/gitweb?p=dictionaries.git;a=commitdiff;h=143afd75257fd4c4b44f09ee402ec8caa09011ba#patch7

Changing
---
            <prop oor:name="Locales" oor:type="oor:string-list">
                <value>lt</value>
            </prop>
---
back to
---
            <prop oor:name="Locales" oor:type="oor:string-list">
                <value>lt-LT</value>
            </prop>
---
in %APPDATA%\LibreOffice\4\user\extensions\bundled\registry\com.sun.star.comp.deployment.configuration.PackageRegistryBackend\random.tmp\dictionaries.xcu for existing users or in the installed share\extensions\dict-lt\dictionaries.xcu for new users fixes the problem.

Is it bug (lt-LT → lt) in the upstream package (reported here https://bugs.launchpad.net/ispell-lt/+bug/1157478) and should be fixed there?
Or is it a bug in LibreOffice and LibreOffice spell checker should work with Locales=lt and Locales=lt-LT?
Comment 1 Julien Nabet 2013-05-09 15:15:12 UTC
Bjoern: one for you?
Comment 2 Björn Michaelsen 2013-05-10 08:07:25 UTC
Not really, not an Ubuntu bug, using TDF packages on Windows.

@atimar: Sounds like your area? ...
Comment 3 Commit Notification 2013-05-10 09:40:41 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=7c495c0a113c52ba9f2b15a5ab38d06b02e1c8df

fdo#64382 replace lt to lt-LT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Aurimas Fišeras 2013-05-10 09:47:34 UTC
Is 7c495c0a113c52ba9f2b15a5ab38d06b02e1c8df enough to regenerate %APPDATA%\LibreOffice\4\user\extensions\bundled\registry\com.sun.star.comp.deployment.configuration.PackageRegistryBackend\random.tmp\dictionaries.xcu with correct values on LibreOffice update?
Comment 5 Andras Timar 2013-05-10 09:54:10 UTC
(In reply to comment #4)
Hmm, maybe not. Let's bump the version number, too.
Comment 6 Commit Notification 2013-05-10 11:48:38 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=7a319a78a5200b36ac69ab101c31c9ae165feae7&h=libreoffice-4-0

fdo#64382 replace lt to lt-LT


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Aurimas Fišeras 2013-05-31 05:00:03 UTC
Verified with LibreOffice 4.0.4 RC1.
Comment 8 Rimas Kudelis (only watching bugs where I'm in CC list) 2013-06-28 18:57:52 UTC
Andras, is it considered normal that LibO ignores short language tags? IMO, it's worth reporting that as a separate bug, instead of requiring all dictionaries to supply language tags in ll-CC form, even when plain ll would suffice, what would you say?
Comment 9 Andras Timar 2013-06-28 19:01:31 UTC
(In reply to comment #8)
> Andras, is it considered normal that LibO ignores short language tags? IMO,
> it's worth reporting that as a separate bug, instead of requiring all
> dictionaries to supply language tags in ll-CC form, even when plain ll would
> suffice, what would you say?

I agree. I must be an old relic. We have language tag support now, we should even support more complicated cases, such as dialects, etc.
Comment 10 Rimas Kudelis (only watching bugs where I'm in CC list) 2013-06-28 19:28:52 UTC
So I guess I'll open another bug then? Or is there one already?

For future reference, it would be nice if downstream would be a bit more reluctant to bump upstream version numbers that quickly. :P
Comment 11 Rimas Kudelis (only watching bugs where I'm in CC list) 2013-06-28 19:48:47 UTC
And that is now Bug #66341